Liste des versions d'exécution

AI Platform Training utilise des images du conteneur, basées sur la désignation de la version d'exécution, pour configurer les ressources du cloud afin de répondre à vos requêtes d'entraînement et de prédiction. Cette page répertorie les versions d'exécution et leurs packages constitutifs. Pour en savoir plus, consultez la page concernant la gestion et la définition des versions d'exécution.

Versions d'exécution de AI Platform Training compatibles

Les versions suivantes sont compatibles avec AI Platform Training :

Version Package Date de sortie Dernière mise à jour Fin de disponibilité
2.2 TensorFlow 2.2.0
scikit-learn 0.23.1
XGBoost 1.1.1

La version d'exécution 2.2 est compatible avec TensorFlow 2.2.0 pour les processeurs et les GPU. Les GPU sont compatibles avec l'entraînement et la prédiction en ligne dans cette version d'exécution. Cette version d'exécution est également compatible avec les TPU pour l'entraînement.

La version d'exécution 2.2 n'est pas compatible avec la prédiction par lot.

Python 3.7 est la seule version de Python disponible pour l'entraînement et la prédiction en ligne avec la version d'exécution 2.2. Vous ne pouvez pas utiliser Python 2 avec la version d'exécution 2.2.

28 août 2020 28 août 2020

À compter du 28 août 2021, vous ne pourrez plus créer de tâches d'entraînement, de tâches de prédiction par lot, ni de versions de modèle utilisant cette version d'exécution.

Le 28 août 2022, AI Platform Prediction supprimera toutes les versions de modèle qui utilisent cette version d'exécution.

2.1 TensorFlow 2.1.0
scikit-learn 0.22.1
XGBoost 0.90

La version d'exécution 2.1 est compatible avec TensorFlow 2.1.0 pour les processeurs et les GPU. Les GPU sont compatibles avec l'entraînement et la prédiction en ligne dans cette version d'exécution. Cette version d'exécution est également compatible avec les TPU pour l'entraînement.

Python 3.7 est la seule version de Python disponible pour l'entraînement et la prédiction en ligne avec la version d'exécution 2.1. Vous ne pouvez pas utiliser Python 2 avec la version d'exécution 2.1.

9 mars 2020 9 mars 2020

À compter du 9 mars 2021, vous ne pourrez plus créer de tâches d'entraînement, de tâches de prédiction par lot, ni de versions de modèle utilisant cette version d'exécution.

Le 9 mars 2022, AI Platform Prediction supprimera toutes les versions de modèle qui utilisent cette version d'exécution.

1.15 TensorFlow 1.15.0
scikit-learn 0.20.4
XGBoost 0.82

La version d'exécution 1.15 est compatible avec TensorFlow 1.15.0 pour les processeurs et les GPU. Les GPU sont compatibles avec l'entraînement et la prédiction en ligne dans cette version d'exécution. Cette version d'exécution est également compatible avec les TPU pour l'entraînement.

Python 3.7 est disponible pour l'entraînement et la prédiction en ligne avec la version d'exécution 1.15. Les packages Ubuntu pour Python 3 (indiqués en gras) sont installés si vous utilisez Python 3.

19 décembre 2019 19 décembre 2019

À compter du 30 septembre 2021, vous ne pourrez plus créer de tâches d'entraînement, de tâches de prédiction par lot, ni de versions de modèle utilisant cette version d'exécution.

Le 30 septembre 2022, AI Platform Prediction supprimera toutes les versions de modèle qui utilisent cette version d'exécution.

1.14 TensorFlow 1.14.0
scikit-learn 0.20.2
XGBoost 0.81

La version d'exécution 1.14 est compatible avec TensorFlow 1.14.0 pour les processeurs et les GPU. Les GPU sont compatibles avec l'entraînement et la prédiction en ligne dans cette version d'exécution. Cette version d'exécution est également compatible avec les TPU pour l'entraînement.

Python 3.5 est disponible pour l'entraînement et la prédiction en ligne avec la version d'exécution 1.14. Les packages Ubuntu pour Python 3 (indiqués en gras) sont installés si vous utilisez Python 3.

19 juillet 2019 16 août 2019

À compter du 19 juillet 2020, vous ne pourrez plus créer de tâches d'entraînement, de tâches de prédiction par lot, ni de versions de modèle utilisant cette version d'exécution.

Le 19 juillet 2021, AI Platform Prediction supprimera toutes les versions de modèle qui utilisent cette version d'exécution.

1.13 TensorFlow 1.13.1
scikit-learn 0.20.2
XGBoost 0.81

La version d'exécution 1.13 est compatible avec TensorFlow 1.13.1 pour les processeurs et les GPU. Les GPU sont compatibles avec l'entraînement et la prédiction en ligne dans cette version d'exécution. Cette version d'exécution est également compatible avec les TPU pour l'entraînement.

Python 3.5 est disponible pour l'entraînement et la prédiction en ligne avec la version d'exécution 1.13. Les packages Ubuntu pour Python 3 (indiqués en gras) sont installés si vous utilisez Python 3.

6 mars 2019 16 août 2019

À compter du 19 juillet 2020, vous ne pourrez plus créer de tâches d'entraînement, de tâches de prédiction par lot, ni de versions de modèle utilisant cette version d'exécution.

Le 6 mars 2021, AI Platform Prediction supprimera toutes les versions de modèle qui utilisent cette version d'exécution.

1.12 TensorFlow 1.12.3
scikit-learn 0.20.0
XGBoost 0.81

La version d'exécution 1.12 est compatible avec TensorFlow 1.12.3 pour les processeurs et les GPU. Les GPU sont compatibles avec l'entraînement et la prédiction en ligne dans cette version d'exécution.

Python 3.5 est disponible pour l'entraînement et la prédiction en ligne avec la version 1.12 de l'environnement d'exécution. Les packages Ubuntu pour Python 3 (indiqués en gras) sont installés si vous utilisez Python 3.

19 décembre 2018 19 juillet 2019

À compter du 19 juillet 2020, vous ne pourrez plus créer de tâches d'entraînement, de tâches de prédiction par lot, ni de versions de modèle utilisant cette version d'exécution.

Le 19 décembre 2020, AI Platform Prediction supprimera toutes les versions de modèle qui utilisent cette version d'exécution.

1.11 TensorFlow 1.11
scikit-learn 0.19.2
XGBoost 0.80

La version d'exécution 1.11 est compatible avec TensorFlow 1.11.0 pour les processeurs et les GPU. Les GPU sont compatibles avec l'entraînement et la prédiction en ligne dans cette version d'exécution.

Python 3.5 est disponible pour l'entraînement et la prédiction en ligne avec la version d'exécution 1.11. Les packages Ubuntu pour Python 3 (indiqués en gras) sont installés si vous utilisez Python 3.

19 décembre 2018

À compter du 19 juillet 2020, vous ne pourrez plus créer de tâches d'entraînement, de tâches de prédiction par lot, ni de versions de modèle utilisant cette version d'exécution.

Le 19 décembre 2020, AI Platform Prediction supprimera toutes les versions de modèle qui utilisent cette version d'exécution.

1.10 TensorFlow 1.10
scikit-learn 0.19.2
XGBoost 0.72.1

La version d'exécution 1.10 est compatible avec TensorFlow 1.10.0 pour les processeurs et les GPU. (Les GPU ne sont pas disponibles pour la prédiction en ligne.)

Python 3.5 est disponible pour l'entraînement et la prédiction en ligne avec la version d'exécution 1.10. Les packages Ubuntu pour Python 3 (indiqués en gras) sont installés si vous utilisez Python 3.

31 août 2018 19 décembre 2018

À compter du (date non définie), vous ne pourrez plus créer de tâches d'entraînement, de tâches de prédiction par lot, ni de versions de modèle utilisant cette version d'exécution.

Le 31 août 2020, AI Platform Prediction supprimera toutes les versions de modèle qui utilisent cette version d'exécution.

1.9 TensorFlow 1.9
scikit-learn 0.19.1
XGBoost 0.72.1

La version d'exécution 1.9 est compatible avec TensorFlow 1.9.0 pour les processeurs et les GPU. (Les GPU ne sont pas disponibles pour la prédiction en ligne.)

Python 3.5 est disponible pour l'entraînement et la prédiction en ligne avec la version d'exécution 1.9. Les packages Ubuntu pour Python 3 (indiqués en gras) sont installés si vous utilisez Python 3.

27 juin 2018 19 décembre 2018

À compter du 16 mars 2020, vous ne pourrez plus créer de tâches d'entraînement utilisant cette version d'exécution.

À compter du (date non définie), vous ne pourrez plus créer de tâches de prédiction par lot, ni de versions de modèle utilisant cette version d'exécution.

Le 27 juin 2020, AI Platform Prediction supprimera toutes les versions de modèle qui utilisent cette version d'exécution.

1.8 TensorFlow 1.8
scikit-learn 0.19.1
XGBoost 0.71

La version d'exécution 1.8 est compatible avec TensorFlow 1.8.0 pour les processeurs et les GPU. (Les GPU ne sont pas disponibles pour la prédiction en ligne.)

Python 3.5 est disponible pour l'entraînement et la prédiction en ligne avec la version d'exécution 1.8. Les packages Ubuntu pour Python 3 (indiqués en gras) sont installés si vous utilisez Python 3.

Les packages gcloud et google-cloud-logging ont été remplacés par le package google-cloud, qui contient les deux packages supprimés.

8 mai 2018 19 décembre 2018

À compter du 16 mars 2020, vous ne pourrez plus créer de tâches d'entraînement utilisant cette version d'exécution.

À compter du (date non définie), vous ne pourrez plus créer de tâches de prédiction par lot, ni de versions de modèle utilisant cette version d'exécution.

Le 8 mai 2020, AI Platform Prediction supprimera toutes les versions de modèle qui utilisent cette version d'exécution.

1.7 TensorFlow 1.7
scikit-learn 0.19.1
XGBoost 0.7.post3

La version d'exécution 1.7 est compatible avec TensorFlow 1.7.0 pour les processeurs et les GPU.

Python 3.5 est disponible pour l'entraînement et la prédiction en ligne avec la version d'exécution 1.7. Les packages Ubuntu pour Python 3 (indiqués en gras) sont installés si vous utilisez Python 3.

26 avril 2018 19 décembre 2018

À compter du 16 mars 2020, vous ne pourrez plus créer de tâches d'entraînement utilisant cette version d'exécution.

À compter du (date non définie), vous ne pourrez plus créer de tâches de prédiction par lot, ni de versions de modèle utilisant cette version d'exécution.

Le 26 avril 2020, AI Platform Prediction supprimera toutes les versions de modèle qui utilisent cette version d'exécution.

1.6 TensorFlow 1.6
scikit-learn 0.19.1
XGBoost 0.7.post3

La version d'exécution 1.6 est compatible avec TensorFlow 1.6.0 pour les processeurs et les GPU.

Python 3.5 est disponible pour l'entraînement et la prédiction en ligne avec la version d'exécution 1.6. Les packages Ubuntu pour Python 3 (indiqués en gras) sont installés si vous utilisez Python 3.

20 mars 2018 19 décembre 2018

À compter du 16 mars 2020, vous ne pourrez plus créer de tâches d'entraînement utilisant cette version d'exécution.

À compter du (date non définie), vous ne pourrez plus créer de tâches de prédiction par lot, ni de versions de modèle utilisant cette version d'exécution.

Le 13 avril 2020, AI Platform Prediction supprimera toutes les versions de modèle qui utilisent cette version d'exécution.

1.5 TensorFlow 1.5
scikit-learn 0.19.1
XGBoost 0.7.post3

La version d'exécution 1.5 est compatible avec TensorFlow 1.5.0 pour les processeurs et les GPU.

Python 3.5 est disponible pour l'entraînement et la prédiction en ligne avec la version d'exécution 1.5. Les packages Ubuntu pour Python 3 (indiqués en gras) sont installés si vous utilisez Python 3.

13 mars 2018 19 décembre 2018

À compter du 16 mars 2020, vous ne pourrez plus créer de tâches d'entraînement utilisant cette version d'exécution.

À compter du (date non définie), vous ne pourrez plus créer de tâches de prédiction par lot, ni de versions de modèle utilisant cette version d'exécution.

Le 13 avril 2020, AI Platform Prediction supprimera toutes les versions de modèle qui utilisent cette version d'exécution.

1.4 TensorFlow 1.4.0 et 1.4.1
scikit-learn 0.18.1
XGBoost 0.6a2

La version d'exécution 1.4 est compatible avec TensorFlow 1.4.0 pour la prédiction en ligne, et avec TensorFlow 1.4.1 pour la prédiction par lot et l'entraînement.

Python 3.5 est disponible pour l'entraînement et la prédiction en ligne avec la version d'exécution 1.4. Les packages Ubuntu pour Python 3 (indiqués en gras) sont installés si vous utilisez Python 3.

La version d'exécution la plus ancienne d'AI Platform Training compatible avec scikit-learn et XGBoost est la version 1.4.

11 décembre 2017 19 décembre 2018

À compter du 16 mars 2020, vous ne pourrez plus créer de tâches d'entraînement utilisant cette version d'exécution.

À compter du (date non définie), vous ne pourrez plus créer de tâches de prédiction par lot, ni de versions de modèle utilisant cette version d'exécution.

Le 13 avril 2020, AI Platform Prediction supprimera toutes les versions de modèle qui utilisent cette version d'exécution.

1.2 TensorFlow 1.2.0

La version de l'environnement d'exécution 1.2 utilise une image de base construite sur le système d'exploitation Ubuntu 16.04 au lieu de la version Debian Jessie utilisée par la version 1.0.

27 juin 2017

À compter du 16 mars 2020, vous ne pourrez plus créer de tâches d'entraînement utilisant cette version d'exécution.

À compter du (date non définie), vous ne pourrez plus créer de tâches de prédiction par lot, ni de versions de modèle utilisant cette version d'exécution.

Le 13 avril 2020, AI Platform Prediction supprimera toutes les versions de modèle qui utilisent cette version d'exécution.

1.0 TensorFlow 1.0.1

Il s'agit de la version d'exécution par défaut d'AI Platform Training actuellement compatible avec l'API AI Platform Training and Prediction v1.

8 mars 2017

À compter du (date non définie), vous ne pourrez plus créer de tâches d'entraînement, de tâches de prédiction par lot, ni de versions de modèle utilisant cette version d'exécution.

Le 13 avril 2020, AI Platform Prediction supprimera toutes les versions de modèle qui utilisent cette version d'exécution.

Règles de compatibilité avec les anciennes versions d'exécution

AI Platform Training et AI Platform Prediction sont compatibles avec chaque version d'exécution pendant un an après sa date de sortie.

La compatibilité avec chaque version d'exécution change selon le calendrier suivant :

  • À compter de la date de disponibilité : vous pouvez créer des tâches d'entraînement, des tâches de prédiction par lot et des versions de modèle utilisant cette version d'exécution.

  • À compter de 12 mois après la date de disponibilité, vous ne pouvez plus créer de tâches d'entraînement, de tâches de prédiction par lot ni de versions de modèle qui utilisent cette version d'exécution.

    Les versions de modèle existantes qui ont été déployées sur AI Platform Prediction continuent de fonctionner.

  • 24 mois après la date de disponibilité, AI Platform Prediction supprime automatiquement toutes les versions de modèle qui utilisent la version d'exécution.

Une version modifiée de cette règle est appliquée rétroactivement, en plusieurs étapes, aux versions d'exécution 1.13 et antérieures. Reportez-vous à ce document pour connaître la disponibilité actuelle de chaque version d'exécution.

Compatibilité avec les GPU

tensorflow-gpu, le package Python de TensorFlow compatible avec les GPU, est préinstallé sur les machines compatibles GPU.

Les autres machines sont préinstallées avec le package tensorflow standard.

Comptabilité avec Cloud TPU

Les versions 1.13, 1.14, 1.15, 2.1 et 2.2 d'exécution de AI Platform Training sont disponibles pour l'entraînement de vos modèles sur Cloud TPU. Découvrez comment demander un quota Cloud TPU et comment utiliser des TPU pour entraîner votre modèle.

Étapes suivantes